Loading...
Searching...
No Matches
dolfin::PointSource Class Reference

`#include <PointSource.h>`

## Public Member Functions

| PointSource (std::shared_ptr< const FunctionSpace > V, const Point &p, double magnitude=1.0)
| Create point source at given point of given magnitude.
| PointSource (std::shared_ptr< const FunctionSpace > V, const std::vector< std::pair< const Point *, double > > sources)
| Create point sources at given points of given magnitudes.
| PointSource (std::shared_ptr< const FunctionSpace > V0, std::shared_ptr< const FunctionSpace > V1, const Point &p, double magnitude=1.0)
| Create point source at given point of given magnitude.
| PointSource (std::shared_ptr< const FunctionSpace > V0, std::shared_ptr< const FunctionSpace > V1, const std::vector< std::pair< const Point *, double > > sources)
| Create point sources at given points of given magnitudes.
| ~PointSource ()
| Destructor.
void | apply (GenericVector &b)
| Apply (add) point source to right-hand side vector.
void | apply (GenericMatrix &A)
| Apply (add) point source to matrix.

## Detailed Description

This class provides an easy mechanism for adding a point quantities (Dirac delta function) to variational problems. The associated function space must be scalar in order for the inner product with the (scalar) Dirac delta function to be well defined. For each of the constructors, Points passed to PointSource will be copied.

Note: the interface to this class will likely change.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/PointSource.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/PointSource.cpp